#!/bin/sh
#=========================================================================
# KROMSATOR toolchain                                                     
#                                                                         
# This program is free software; you can redistribute it and/or modify    
# it under the terms of the GNU General Public License as published by    
# the Free Software Foundation; either version 2 of the License, or       
# (at your option) any later version.                                     
#                                                                         
# This program is distributed in the hope that it will be useful,         
# but WITHOUT ANY WARRANTY; without even the implied warranty of          
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           
# GNU General Public License for more details.                            
#                                                                         
# Copyright (C) 2011 by Michael Vasilevskyiy                              
#=========================================================================

export TARGET=arm-none-eabi
export PREFIX=$(pwd)
export MAKE=make

#mkdir -p $PREFIX

export PATH=$PATH:${PREFIX}/bin

#
# Check for MinGW/MSYS
#
#export ABI_MODE=

#if [ "$OSTYPE" == "msys" ]
#then
#export ABI_MODE='ABI=32'
#else
#export CC='gcc -m32'
#fi

#---------------------------------------------------------------------------------
# Specify the version we will use
#---------------------------------------------------------------------------------
BINUTILS_VER=2.21
export GCC_VER=4.6.1
export NEWLIB_VER=1.19.0
GDB_VER=7.2
GMP_VER=4.3.2
MPFR_VER=2.4.2
EXPAT_VER=2.0.1
MPC_VER=0.8.1
LIBFTDI_VER=0.18
OCD_VER=0.4.0

#---------------------------------------------------------------------------------
# Specify the source we will use
#---------------------------------------------------------------------------------
export BINUTILS_SRC=binutils-$BINUTILS_VER
export GCC_SRC=gcc-$GCC_VER
export NEWLIB_SRC=newlib-$NEWLIB_VER
export GDB_SRC=gdb-$GDB_VER
export GMP_SRC=gmp-$GMP_VER
export MPFR_SRC=mpfr-$MPFR_VER
export EXPAT_SRC=expat-$EXPAT_VER
export MPC_SRC=mpc-$MPC_VER
export LIBFTDI_SRC=libftdi-$LIBFTDI_VER
export OCD_SRC=openocd-$OCD_VER
#GCC_CORE_SRC="gcc-core-$GCC_VER"
#GCC_GPP_SRC="gcc-g++-$GCC_VER"